--- src/mouse.h.orig	2013-06-16 21:05:12.000000000 +0900
+++ src/mouse.h	2013-06-16 21:06:39.000000000 +0900
@@ -94,6 +94,7 @@
                                    int flags);
 typedef const char *(*DefaultProtocolProc)(void);
 typedef const char *(*SetupAutoProc)(InputInfoPtr pInfo, int *protoPara);
+typedef Bool (*SetupMouseProc)(InputInfoPtr pInfo);
 typedef void (*SetResProc)(InputInfoPtr pInfo, const char* protocol, int rate,
                            int res);
 typedef const char *(*FindDeviceProc)(InputInfoPtr pInfo, const char *protocol,
@@ -111,6 +112,7 @@
         BuiltinPreInitProc      PreInit;
         DefaultProtocolProc     DefaultProtocol;
         SetupAutoProc           SetupAuto;
+	SetupMouseProc		SetupMouse;
         SetResProc              SetPS2Res;
         SetResProc              SetBMRes;
         SetResProc              SetMiscRes;
@@ -153,6 +155,8 @@
  *
  * SetBMRes:    Set the resolution and sample rate for MSE_BM protocol types.
  *
+ * SetupMouse:	Called once after open to condition the file descriptor.
+ *
  * SetMiscRes:  Set the resolution and sample rate for MSE_MISC protocol types.
  *
  * FindDevice:  This function gets called when no Device has been specified
